#
# spec file for package gnome-vfs-monikers
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-vfs-monikers
Version:        2.15.3
Release:        lp150.2.1
Summary:        Bonobo monikers for GNOME-VFS
License:        LGPL-2.1-or-later
Group:          System/GUI/GNOME
URL:            http://www.realistanew.com/projects/gnome-vfs
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  glib2-devel
BuildRequires:  gnome-common
BuildRequires:  gnome-vfs2-devel
BuildRequires:  intltool
BuildRequires:  libbonobo-devel
Requires:       gnome-vfs2

%description
gnome-vfs-monikers contains all Bonobo monikers that were previously in
the main gnome-vfs package.

%prep
%setup -q

%build
%configure --disable-static --with-pic
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS
%{_libdir}/bonobo/monikers/*.so
%{_libdir}/bonobo/servers/GNOME_VFS_Moniker_std.server

%changelog
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Tue Apr 21 2009 vuntz@novell.com
- Remove AutoReqProv: it's default now.
- Use makeinstall.
- Do not ship empty README.
* Wed Apr 15 2009 crrodriguez@suse.de
- use --disable-static instead of removing "*.a"
* Thu Mar  6 2008 maw@suse.de
- Don't run autoreconf.
* Tue Jan 16 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Mon Sep 11 2006 rodrigo@suse.de
- Use %%_lib variable for correct 64bit installation.
* Thu Sep  7 2006 rodrigo@suse.de
- Initial submission from GNOME 2.15.x
